
<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../conexao/index.php';

error_reporting(E_ALL);

$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario'];
?>

<?php 
if (isset($_GET['mesa'])) {
	$mesa = $_GET['mesa'];
?>
<input type="hidden" id="mesa" value="<?php echo $mesa; ?>">
<?php
}
?>

<?php 
/*Variaveis do Sistema*/
/*********************************************/

$caixa = "Aberto";

  if (isset($_GET['id_artigo'])) {
  	$produto = $_GET['id_artigo'];
	$status = 'Aberto';

	$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status'";
	$rsBox = mysqli_query($db, $sqlBox);
	if (mysqli_num_rows($rsBox) > 0) {
			$sql = "DELETE FROM pos_mesas_temp_artigos WHERE id = '$produto'";
			$rs = mysqli_query($db, $sql);
	}else{
		echo "Ocorreu algum erro na consulta a base de dados";
	}
	}

	if (isset($_GET['apagar'])) {
			$sqlBox = "DELETE FROM pos_mesas_temp_artigos WHERE mesa = '$mesa'";
			$rsBox = mysqli_query($db, $sqlBox);
	}

    if(isset($_GET['liberar'])){
        $mes = $_GET['mesa'];
        $sql = "UPDATE mesas SET status=0 WHERE numero = '$mes'";
        $rs = mysqli_query($db, $sql);
    }
?>

<!DOCTYPE html>
<html>
<head>
	<title>iVone</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">
	<link rel="shorcut icon"  href="../img/config/5087847.png">
	<link rel="stylesheet" type="text/css" href="../css/estiloPrincipal.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.min.css"> 
	<link rel="stylesheet" type="text/css" href="../css/select2.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.css">
	<script type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/select2.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.js"></script>
	<style type="text/css">
		#qtdd{
			width: 40%;
			padding: 25px 15px;
			margin-top: 10px;
		}
	</style>
</head>
<body>
<div class="principal">
	<div class="esquerda">
		<div class="cabecalhoEsquerda">
			<h4 class="operador">Operador: <?php echo $_SESSION['nomeUsuario']; ?></h4>
			<p class="relogio">
				<?php 
					$data_hora = date("Y-m-d H:i:s");
					echo $data_hora;
				?>
			</p>
			<a id="openCaixa"><i class="fa fa-unlock" aria-hidden="true"></i> Abrir Caixa</a>
			<a id="closeCaixa"><i class="fa fa-lock" aria-hidden="true"></i> Fechar Caixa</a>
            <a href="vd.php?mesa=<?php echo $mesa ?>&liberar=liberar" style="background: #ccc;margin-left:10px;"><i class="fa fa-fighter-jet" aria-hidden="true"></i> Liberar Mesa</a>
			
			<a style="margin-left: 5px;" href="vd.php?mesa=<?php echo $mesa ?>"><i class="fa fa-refresh" aria-hidden="true"></i></a>
		</div>
		<div class="conteudoEsquerda">
			<div class="formView">
				<div class="looks">
					<input type="text" id="looker" placeholder="Procurar artigos">
				</div>
				<div class="lista">
						<select class="id_categoria" onchange="location = this.value;">
							<option>Categorias</option>
								<?php 
									$sql = "SELECT * FROM categoria_produtos";
									$rs = mysqli_query($db, $sql);
									while ($dados = mysqli_fetch_array($rs)) {
								?>
								<option value="index.php?id_categoria=<?php echo $dados['id'] ?>"><?php echo $dados['categoria'] ?></option>
							<?php } ?>
					</select>
				</div>
			</div>
			<div class="produto">
				<?php 
					if (isset($_GET['id_categoria'])) {
						$idd = $_GET['id_categoria'];
						$sql = "SELECT * FROM produto WHERE id_catgeoria = '$idd'";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<div class="center produtoAdd diminuidor">
							<img src="../img/imageProduto/<?php echo $dados['img'] ?>">
							<span><?php echo $dados['stock'] ?></span>
							<span><?php echo $dados['preco'] ?></span>
							<p class="h"><?php echo $dados['nomeproduto'] ?></p>
						</div>
					<?php
						}
					}else{
						$sql = "SELECT * FROM produto";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<div class="center produtoAdd diminuidor">
							<img src="../img/imageProduto/<?php echo $dados['img'] ?>">
							<span><?php echo $dados['stock'] ?></span>
							<span><?php echo $dados['preco'] ?></span>
							<p class="h"><?php echo $dados['nomeproduto'] ?></p>
						</div>
			<?php }} ?>
			</div>
			<!-- <div class="down">
				<div class="doc">
					<select class="id_categoria" onchange="location = this.value;">
							<option>Categorias</option>
								<?php 
									$sql = "SELECT * FROM categoria_produtos";
									$rs = mysqli_query($db, $sql);
									while ($dados = mysqli_fetch_array($rs)) {
								?>
								<option value="index.php?id_categoria=<?php echo $dados['id'] ?>"><?php echo $dados['categoria'] ?></option>
							<?php } ?>
					</select>
				</div>
			</div> -->
		</div>
	</div>
	<div class="direita">
		<div class="cabecalhoDireita">
			<a class="fecharSistema"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Sair</a>
			<a href="pos_mesas.php" style="margin-left: 10px;"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Mesas</a>
			<h3 class="vnd">#Venda: 
				<?php 
					$sql = "SELECT MAX(id) as idp FROM pos_mesas";
					$rs = mysqli_query($db, $sql);
					while ($dados = mysqli_fetch_array($rs)) {
						$v = $dados['idp'] + 1;
				?>
					<?php echo $v; ?>
				<?php } ?>
			</h3>
		</div>
		<div class="conteudoDireita">
			<!--  --><br><br>
			<div class="tbl">
					<table>
				<thead>
					<th>#</th>
					<th>Descricao</th>
					<th>Qtd</th>
					<th>Preco</th>
					<th>Total</th>
					<th style="color: #EB7D08;"><a><i class="fa fa-window-close" aria-hidden="true"></i></a></th>
				</thead>
				<tbody class="tbody">
					<?php
						$status = 'Aberto';

						$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status'";
						$rsBox = mysqli_query($db, $sqlBox);
							if (mysqli_num_rows($rsBox) > 0) {
								$sqlll = "SELECT * FROM pos_mesas_temp_artigos WHERE mesa = '$mesa'";
								$rsss = mysqli_query($db, $sqlll);
								while ($dadosss = mysqli_fetch_array($rsss)) {
									$produto = $dadosss['artigo'];
									$qtd = $dadosss['qtd'];
									$preco = $dadosss['preco'];
									$total = $dadosss['total'];
									?>
									<tr>
										<td><?php echo $dadosss['id']; ?></td>
												       <td class="left desc"><span><?php echo $produto; ?></span></td>
												       <td class="editavel"><?php echo $qtd; ?></td>
														<td><?php echo "".number_format($preco,2,".",","); ?></td>
														<td><?php echo "".number_format($total,2,".",","); ?></td>
												       <td ><a href="?id_artigo=<?php echo $dadosss['id']; ?>&mesa=<?php echo $mesa ?>" style="color: #EB7D08;"><i class="fa fa-window-close" aria-hidden="true"></i></a></td>
												   </tr>
									<?php
										}
									}else{
										echo "<tr><td colspan='5'>O caixa encontra-se fechado neste momento, abra o caixa se pretende efetuar alguma venda!</td><tr>";
									}
								?>
				</tbody>
			</table>
			</div>
			
			<input type="hidden" id="prdto">
		</div>
		
		<div class="rodapeDireita">
			<div class="div1">
				<div class="left">
						<p style="color: #fff;">Total de itens: 
							<?php 
								$sql = "SELECT count(id) as tot FROM pos_mesas_temp_artigos WHERE mesa = '$mesa'";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<span class="itens">
										<?php echo $dados['tot']; ?>
								</span>
							<?php } ?>
						</p>
						<h2 style="color: #fff;">
							
							<?php 
								$sql = "SELECT SUM(total) as totc FROM pos_mesas_temp_artigos WHERE mesa = '$mesa'";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								Total: <span>
								<?php echo $dados['totc']; ?>
							</span> Mt
							<?php } ?>
						</h2>
				</div>
				<div class="right" style="padding-top: 10px;">
					<a href="ticket.php?mesa=<?php echo $mesa ?>" target="_blank" class="ticket" style="background: #38D0ED;padding: 5px 10px;color: #fff;margin-top: 10px;cursor: pointer;"> Ticket Cozinha</a>
				</div>
			</div>
			<div class="div2">
					<a href="?apagar=true&mesa=<?php echo $mesa ?>"><i class="fa fa-lock" aria-hidden="true"></i> Cancelar</a>
					<a class="pagamentoFactura"><i class="fa fa-lock" aria-hidden="true"></i> Pagamento</a>
			</div>
		</div>
	</div>
</div>
<!--ELEMENTOS FLUTUANTES -->
<div class="floatElements">
	<div class="flts">
		<div class="aberturaCaixa todos">
			<div class="header">
				<h4>Abertura do Caixa</h4>
			</div>
			<div class="fild">
				<div class="form-group">
	                <label>Valor</label>
	                <input class="form-control" type="number" id="semana" step="0.01" min="0.00">
	            </div>
				<div class="form-group">
						<input type="hidden" id="statusPeriodo" value="Aberto">
	      </div>
			</div>
			<span class="btn save">
				<a class="fecharPedido">Fechar</a>
				<a id="salvarAbertura">Abrir</a>
			</span>
			<p id="message"></p>
		</div>
	</div>
	<div class="fltss">
		<div class="fechoCaixa todos">
		<div class="header">
			<h4>Fecho do Caixa</h4>
			
		</div>
		<div class="fild">
				<div class="inf">
					
				</div>
				<div class="form-group">
					<input type="hidden" id="statusPeriodoF" value="Fechado">
	      </div>
		</div>
		<span class="btn save">
			<a class="fecharPedido">Sair</a>
			<a href="fechoCaxa.php" target="_blank">Imprimir</a>
			<a id="salvarFecho">Fechar</a>
		</span>
		<p id="messageFecho"></p>
	</div>
	</div>
	
	<div class="floten">
		<div class="qtdProduto todos">
			<div class="header">
				<h4>Produto</h4>
			</div>
			<div class="qtdDiv">
				<p class="prodt"><span id="prod"></span></p>
				<input type="hidden" id="produto">
				<label><input type="number" id="qtdd" placeholder="Qtd" autofocus="autofocus" min="1" step="0,01"></label>
				<p id="messageQtd"></p>
			</div>
			<div class="btclose">
				<a class="fecharPedido">Fechar</a>
			</div>
		</div>
	</div>
	<div class="flot">
		<div id="pagamentoFactura" class="todos">
		<div class="header">
			<h4>Confirmacao do pedido</h4>
		</div>
		<div class="grp1">
			<div class="first">
				<div class="form">
					<p><span>Consumidor</span></p>
					<p class="ps">

						<select id="search" style="width: 95%;padding: 15px 25px;">
							<?php 
								$sql = "SELECT * FROM clientes";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<option value="<?php echo $dados['id']; ?>" selected=""><?php echo $dados['nome']." ".$dados['apelido']; ?></option>
							<?php
								}
							?>
						</select>
					</p>
				</div>
				<div class="form">
					<p><span>Modo de Pagamento</span></p>
					<p class="ps">
						<select id="modo" style="width: 95%;padding: 15px 25px;">
							<option value="Cheque">Cheque</option>
							<option value="Numerario" selected="">Numerario</option>
							<option value="Outros">Outros</option>
						</select>
					</p>
				</div>
				<div class="auto">
				</div>
				<div class="form">
					<p><span>Valor pago</span></p>
					<input type="hidden" id="mesaa" value="<?php echo $mesa ?>">
					<p><input type="number" id="valorPag" placeholder="Valor" step="0.01" min="1"></p>
				</div>
			</div>
			<div class="second">
				<div class="img">
					<img src="../img/config/5087847.png">
				</div>
				<div class="form">
					<p><span>Total a pagar</span></p>
					<p style="font-size: 35pt;">
						<?php 
								$sql = "SELECT SUM(total) as totc FROM pos_mesas_temp_artigos WHERE mesa = '$mesa'";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<?php echo $dados['totc']; ?>
							<?php } ?>
					</p>
				</div>
			</div>
			
		</div>

		<div class="grp2">
			<div class="info">
			
			</div>
		</div>
		<div class="gr3">
			<div class="btclose">
				<a class="fecharPedido">Fechar</a>
			</div>
		</div>
	</div>
	</div>


<div class="fechoDeCaixa">
	<span class="btn">
		<a id="fecharOCaixa"><img src="../img/config/android-close.png" alt="Fechar" title="Fechar"></a>
	</span>
</div>
<style type="text/css">
	.rel form div{
		margin: 20px;
	}
	.rel button{
		margin-left: 20px;
		background-color: #EB7D08;
		color: #fff;
		border:none;
		padding: 5px 15px;
	}
	.fecharRel{
		cursor: pointer;
	}
</style>

</div>
	<script type="text/javascript" src="../js/funcoes.js"></script>
	<script type="text/javascript" src="../js/configuracoes.js"></script>
	<script type="text/javascript">
		$(function() {
			$('.vendas').select2();
			$('.id_categoria').select2();
			$('.pedidos').select2();
			$('.clientes').select2();
			$('.usuario').select2();
    	contentEditable();
		function contentEditable() {
				$("table tbody tr td.editavel").on('dblclick', function() {
				if ($('td > input').length > 0) {
					return;
				}
				var conteudoOriginal = $(this).text();
				var novoElemento = $('<input/>', {type: 'text', value:conteudoOriginal});
				$(this).html(novoElemento.bind('blur keydown', function(e) {
					var keyCode = e.which;
					var conteudoNovo = $(this).val();
					if (keyCode == 13 && conteudoNovo != "" && conteudoNovo != conteudoOriginal) {
						var objecto = $(this);
						$.ajax({
							url: 'atualizarQtd.php',
							type: 'POST',
							data: {
								id: $(this).parents('tr').children().first().text(),
								valor: conteudoNovo 
							},
							success: function(data) {
								if (data == 2) {
									alert('A quantidade informada é superior ao stock do produto.');
									objecto.parent().html(conteudoOriginal);
									location.reload();
								}else{
									objecto.parent().html(conteudoNovo);
									location.reload();
								}
								
							}
						});
					}
					if (e.type == "blur" || keyCode == 27) {
						$(this).parent().html(conteudoOriginal);
						
					}

				}));
				$(this).children().select();
			});
			}

			$("#codebar").on('change', function(){
					$.ajax({
						url: '../dao/produtoAdd/produtoAdd2.php',
						type: 'POST',
						data: {
							artigo: $(this).val()
						},
						success: function(data) {
							if (data == 2) {
								alert('A quantidade informada é superior ao stock do produto.');
							}
							location.reload();
						},
						error: function() {
							alert("Ocorreu um erro ao inserir o artigo pelo codigo de barras!");
						}
				});
			});
			$(".vendas").on('change', function() {
					$.ajax({
						url: 'popularVendas.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".tbody").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
					$.ajax({
						url: 'popularTotItens.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".itens").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
			});

			$("#looker").on('input', function(){
					$.ajax({
						url: 'popularArtigos.php',
						type: 'GET',
						data: {
							valor: $(this).val()
						},
						success: function(data) {
							$(".produto").html(data);
                            $(".produtoAdd").on('click', function() {
                            			var prdt = $(this).children("p").text();
                            			$("#prod").text(prdt);
                            			$("#produto").val(prdt);
                            			$(".qtdProduto").css({
                            				display: "block"
                            			});
                            			
                            			$(".floten").css({
                            				display: "flex"
                            			});
                            			$("#qtd").focus();
                                        $("#qtdd").focus();
                            		});

						},
						error: function() {
							alert("Ocorreu um erro ao popular os artigos!");
						}
				});
			});
			$(".produtoAdd").on('click', function() {
    			var prdt = $(this).children("p").text();
    			$("#prod").text(prdt);
    			$("#produto").val(prdt);
    			$(".qtdProduto").css({
    				display: "block"
    			});
    			
    			$(".floten").css({
    				display: "flex"
    			});
    			$("#qtd").focus();
                $("#qtdd").focus();
		    });

			
			/* Get the documentElement (<html>) to display the page in fullscreen */
			var elem = document.documentElement;

			/* View in fullscreen */
			function openFullscreen() {
			  if (elem.requestFullscreen) {
			    elem.requestFullscreen();
			  } else if (elem.webkitRequestFullscreen) { /* Safari */
			    elem.webkitRequestFullscreen();
			  } else if (elem.msRequestFullscreen) { /* IE11 */
			    elem.msRequestFullscreen();
			  }
			}

			/* Close fullscreen */
			function closeFullscreen() {
			  if (document.exitFullscreen) {
			    document.exitFullscreen();
			  } else if (document.webkitExitFullscreen) { /* Safari */
			    document.webkitExitFullscreen();
			  } else if (document.msExitFullscreen) { /* IE11 */
			    document.msExitFullscreen();
			  }
			}

			setInterval(lg, 1000);

			function lg(){
				$.ajax({
						url: 'relogio.php',
						type: 'GET',
						success: function(data) {
							$(".relogio").html(data);
						},
						error: function() {
							$(".relogio").html("Ocorreu um erro ao popular a hora!");
						}
				});
			}

			$(".btn_search").on('click', function() {
				$.ajax({
						url: 'procurar_dev.php',
						type: 'GET',
						data: {
							pedidos: $(".pedidos").val(),
							clientes: $(".clientes").val(),
							usuario: $(".usuario").val()
						},
						success: function(data) {
							$(".table_dev").html(data);
						},
						error: function() {
							$(".table_dev").html("<tr><td colspan='5'>Ocorreu um erro ao popular os artigos!</td></tr>");
						}
				});
			});
			$(".btn_back").on('click', function() {
				$.ajax({
						url: 'criar_devolucao.php',
						type: 'POST',
						data: {
							pedidos: $(".pedidos").val(),
							clientes: $(".clientes").val(),
							usuario: $(".usuario").val()
						},
						success: function(data) {
								$(".id_devolucao").val(data);
						},
						error: function() {
							alert("Erro ao atribuir o id do caixa!");
						}
				});
			});
			$("#qtdd").on("change", function() {
				$.ajax({
					url: '../dao/produtoAdd/produtoAddvd.php',
					type: 'POST',
					data: {
						produto: $("#produto").val(),
						qtd: $("#qtdd").val(),
						mesa: $("#mesa").val()
					},
					success: function(data) {
						if (data == 1) {
							alert('Quantidade invalida!');
						}else if (data == 2) {
							alert("A quantidade informada é inferior ou superior ao stock do artigo.");
						}
						$("#tot").html(data);
						$("#qtdd").val("");
						$(".qtdProduto").css({
							display: "none"
						});
						
					},
					error: function() {
						$("#messageQtd").html("Ocorreu um erro ao adicionar o artigo!");
					}
				});
				location.reload();
			});
			$("#valorPag").on('change', function() {
				var valor = $(this).val();
				var mesa = $("#mesaa").val();
				var cliente = $("#search").val();
				var modo = $("#modo").val();
				window.open("vd_tick.php?valor="+valor+"&mesa="+mesa+"&cliente="+cliente+"&modo="+modo+"",target="_blank");
				location.reload();
			});
		});
	</script>
</body>
</html>